> For the complete documentation index, see [llms.txt](https://docs.postgresql.tw/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.postgresql.tw/reference/sql-commands/sql-show.md).

# SHOW

### SHOW

SHOW — show the value of a run-time parameter

### Synopsis

```

SHOW name
SHOW ALL
```

### Description

`SHOW` will display the current setting of run-time parameters. These variables can be set using the `SET` statement, by editing the `postgresql.conf` configuration file, through the `PGOPTIONS` environmental variable (when using libpq or a libpq-based application), or through command-line flags when starting the `postgres` server. See [Chapter 19](/server-administration/runtime-config.md) for details.

### Parameters

*`name`* : The name of a run-time parameter. Available parameters are documented in [Chapter 19](/server-administration/runtime-config.md) and on the [SET](/reference/sql-commands/sql-set.md) reference page. In addition, there are a few parameters that can be shown but not set:

```
`SERVER_VERSION`
:   Shows the server's version number.

`SERVER_ENCODING`
:   Shows the server-side character set encoding. At present,
    this parameter can be shown but not set, because the
    encoding is determined at database creation time.

`IS_SUPERUSER`
:   True if the current role has superuser privileges.
```

`ALL` : Show the values of all configuration parameters, with descriptions.

### Notes

The function `current_setting` produces equivalent output; see [Section 9.28.1](/the-sql-language/functions/functions-admin.md#FUNCTIONS-ADMIN-SET). Also, the [`pg_settings`](/internals/views/view-pg-settings.md) system view produces the same information.

### Examples

Show the current setting of the parameter `DateStyle`:

```

SHOW DateStyle;
 DateStyle
-----------
 ISO, MDY
(1 row)
```

Show the current setting of the parameter `geqo`:

```

SHOW geqo;
 geqo
------
 on
(1 row)
```

Show all settings:

```

SHOW ALL;
            name         | setting |                description
-------------------------+---------+-------------------------------------------------
 allow_system_table_mods | off     | Allows modifications of the structure of ...
    .
    .
    .
 xmloption               | content | Sets whether XML data in implicit parsing ...
 zero_damaged_pages      | off     | Continues processing past damaged page headers.
(196 rows)
```

### Compatibility

The `SHOW` command is a PostgreSQL extension.

### See Also

[SET](/reference/sql-commands/sql-set.md), [RESET](/reference/sql-commands/sql-reset.md)

***

原文：[PostgreSQL 18.6 Documentation](https://www.postgresql.org/docs/18/sql-show.html)（英文原文，待翻譯）


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.postgresql.tw/reference/sql-commands/sql-show.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
